Description

Let's assume we have a status called "New" - default status, and "In Progress" status. In workflow we have a configuration that

"New" could be switched to "In Progress" only.

When we create a new issue, it displays both statuses "New" and "In Progress" even though the issue is not created yet to get "New"

status.

We think it doesn't make any sense to show all the statuses related to workflow settings in case of new issue. New issue should be

always created with the default specified status.

Related issues:

Is duplicate of Redmine - Feature #5816: New issue initial status should be s... Closed 2010-07-05

History

#1 - 2012-04-05 12:11 - fangzheng (方正)

I think this feature will certainly be added, sooner or later.

Most bug trackers have this feature now.

#2 - 2012-04-06 15:31 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from New issue page lists default status with others statuses configured in workflow despite of understanding that issue isn't a

created yet to change status from default one to another one. to Ability to force issues to be created with the default status

This is how it was working in the very early versions of Redmine but the current behaviour was requested a long time ago in #312.

#3 - 2012-04-06 16:30 - Y Z

I took at look at that issue and understood their reason to do this. Honestly I don't think that currently working solution make any sense at least

because it's confused to see the long list of the statuses if they are open / available to be selected from "New".

I believe community set their vote as well here and ideally it would be nice to have an option (checkbox in Settings for example) to choose between

displaying and hiding all the target statuses.

Does it make sense?

#4 - 2012-04-06 16:38 - Etienne Massip

I disagree and want to be able to create an issue directly in a specific status when it is required rather then create it and update the status right after.

#5 - 2012-04-06 17:05 - Y Z

It depends on the requirements how redmine should be configured for specific purposes. Redmine is flexible application and people have been using

it to track lots in different contexts.

I believe the current behavior is ambiguous at least because New issue has no any status, however it has already included all the available for "New"

roads.

Secondly, I have been tracking time for every status precisely and handle each status differently by having important notifications.

If somebody creates issue with different status except for New, some of the notifications are getting lost and our tracking schema becomes

inconsistent.

I don't want to say that current version is working improperly, however it has this disadvantage in real business usage.
#6 - 2012-04-06 17:12 - Etienne Massip

Yura Zaplavnov wrote:

It depends on the requirements how redmine should be configured for specific purposes. Redmine is flexible application and people have been

using it to track lots in different contexts.

 A good application is not too much flexible. Specific neds should be implemented with plugins.

I believe the current behavior is ambiguous at least because New issue has no any status, however it has already included all the available for

"New" roads.

If somebody creates issue with different status except for New, some of the notifications are getting lost and our tracking schema becomes

inconsistent.

 If this person has a role that allow her/him to set a status different from New at creation, then you should assume that she/he knows what she/he's

doing.

If not then her/his role and the workflow should no allow her/him to set a different status.

IMO.

#7 - 2012-04-06 18:25 - Y Z

Again, it generally depends on the flow for the business process. For example I have to track every status where each person within a project is able

to set it starting from Default one (New status in my case).

Maybe it's possible to configure the roles somehow to let person start issue from New status only and change the status to another one as soon as

issue is created?

#8 - 2012-04-06 19:39 - Jean-Philippe Lang

Maybe it's possible to configure the roles somehow to let person start issue from New status only and change the status to another one as soon

as issue is created?

 This is too complicated IMO but a simple option for enabling/disabling this behaviour globally would be fine.

It should be trivial to change this behaviour (untested):

Index: app/models/issue.rb

===================================================================

--- app/models/issue.rb    (revision 9330)

+++ app/models/issue.rb    (working copy)

@@ -511,6 +511,7 @@

   # Returns an array of status that user is able to apply

   def new_statuses_allowed_to(user=User.current, include_default=false)

+    return [IssueStatus.default] if new_record?

     statuses = status.find_new_statuses_allowed_to(

       user.admin ? Role.all : user.roles_for_project(project),

       tracker,

#9 - 2012-04-06 19:55 - Y Z

Ok, will try to change and test it. I think it would be useful to extend redmine functionality to have this option in future versions.

Thanks for the help!

#10 - 2016-09-04 03:37 - Go MAEDA

- Is duplicate of Feature #5816: New issue initial status should be settable in workflow added

#11 - 2016-09-04 03:38 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented by #5816 (Redmine 3.2.0).
